# Best Practices And Recommendations

Here are some recommended best practices for designing and working with integrations in IICS.

* [Working In a Shared Environment](best-practices/shared-environment.md)
* [Naming Conventions](best-practices/naming.md)
* [AWS S3 as a Flat file alternative](best-practices/flat-file-alternative.md)
* [Cloud Data Integration (CDI) vs. Cloud Application Integration (CAI)](best-practices/cai-vs-cdi.md)
* [Migrating Assets between Organizations](best-practices/asset-migration.md)
* [Email Alerting](best-practices/email-alerting.md)
* [Firewall Expectations](best-practices/firewallexpectation.md)
